require_relative 'lib/constants'
Gem::Specification.new do |s|
  s.name        = $APPNAME
  s.version     = $VERSION
  s.date        = $DATE
  s.summary     = "Code-cosmetic"
  s.description = "converts SQLite to DBase"
  s.authors     = $AUTHORS
  s.email       = $EMAIL
  s.files  	=  %w~sqlite2dbf~.collect{|f| 'bin/' << f} + %w~constants.rb mapping.rb argparser.rb sqlite2dbf.rb file_checking.rb log.conf logging.rb translating.rb translations ~.collect{|f| 'lib/' << f} + %w~sqlite2dbf.gemspec~.collect{|f|f}
  s.requirements = 'shp, sqlite3'
  s.executables = 'sqlite2dbf'
  s.license     = $LICENSE
  s.required_ruby_version = '>= 2.3'
end
